Last Comment Bug 708006 - "Assertion failure: hasSlot() && !hasMissingSlot()" with frames, seal(window)
: "Assertion failure: hasSlot() && !hasMissingSlot()" with frames, seal(window)
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: mozilla11
Assigned To: Brian Hackett (:bhackett)
:
Mentors:
Depends on:
Blocks: 326633 594645
  Show dependency treegraph
 
Reported: 2011-12-06 11:00 PST by Jesse Ruderman
Modified: 2011-12-09 07:05 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (asserts fatally when closed) (203 bytes, text/html)
2011-12-06 11:00 PST, Jesse Ruderman
no flags Details
stack trace (7.86 KB, text/plain)
2011-12-06 11:01 PST, Jesse Ruderman
no flags Details
patch (769 bytes, patch)
2011-12-07 10:44 PST, Brian Hackett (:bhackett)
luke: review+
Details | Diff | Review

Description Jesse Ruderman 2011-12-06 11:00:29 PST
Created attachment 579378 [details]
testcase (asserts fatally when closed)

1. Load the testcase
2. Close the testcase

Assertion failure: hasSlot() && !hasMissingSlot(), at js/src/jsscope.h:762
Comment 1 Jesse Ruderman 2011-12-06 11:01:04 PST
Created attachment 579379 [details]
stack trace
Comment 2 Brian Hackett (:bhackett) 2011-12-07 10:44:28 PST
Created attachment 579747 [details] [diff] [review]
patch

Incorrect use of shape->slot() instead of shape->maybeSlot().
Comment 3 Brian Hackett (:bhackett) 2011-12-08 08:59:11 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/ffa6056893ed
Comment 4 Ed Morley [:emorley] 2011-12-09 07:05:57 PST
https://hg.mozilla.org/mozilla-central/rev/ffa6056893ed

Note You need to log in before you can comment on or make changes to this bug.